with text_io; --,float_math_lib;

use text_io;



package CRT is

 procedure GotoXY(x,y:natural);--Moves cursor to x and y coordinates

 procedure ClrScr;             --Clears whole screen

 procedure ClrEol;	       --Clears rest of current line

 procedure HighVideo;          --Sets Highlighting text

 procedure InvVideo;           --Sets inverse text color

 procedure NormVideo;          --Sets normal text color

 procedure BlinkVideo;         --Sets blinking text color

-- procedure Center(s:string);   --Writes a centered string s

 procedure Dup(s:string;n:natural);

			       --Writes n ply string s

end;



package body CRT is

package fujtajblik is new INTEGER_IO(integer);

procedure GotoXY(x,y:natural) is

use fujtajblik;

begin

put(ASCII.esc&"[");

if y>0 then

 put(y,1);

end if;

put(";");

if x>0 then

 put(x,1);

end if;

put("H");

end Gotoxy;



procedure ClrScr is

begin

GotoXY(1,1);

put(ASCII.esc&"[2J");

end ClrScr;



procedure ClrEol is

begin

put(ASCII.esc&"[K");

end ClrEol;



procedure HighVideo is

begin

put(ASCII.esc&"[;4m");

end HighVideo;



procedure InvVideo is

begin

put(ASCII.esc&"[;7m");

end InvVideo;



procedure NormVideo is

begin

put(ASCII.esc&"[;0m");

end NormVideo;



procedure BlinkVideo is

begin

put(ASCII.esc&"[;5m");

end BlinkVideo;



--procedure Center(s:string) is

--use fujtajblik,float_math_lib;

--n:natural:=40-(s'LENGTH+2)/2-2;

--begin

--if s'length<80 then

-- put(ASCII.cr&ASCII.esc&"[");

-- put(n,NATURAL(log(FLOAT(n))/log(10.0)));

-- put("C"&s);

-- end if;

--end Center;



procedure Dup(s:string;n:natural) is

begin

for i in 1..n-2 loop

 put(s);

 end loop;

end Dup;

begin

PUT_LINE("Ada Crt unit, version 1.06 by Exoft (C) 1993");

end CRT;

