package Naboj;

/**
 * <p>Title: Vpoet intenzity pole pomoc vlken</p>
 * <p>Description: </p>
 * <p>Copyright: Copyright (c) 2005</p>
 * <p>Company: </p>
 * @author Martin Podval
 * @version 1.0
 */

public class Plocha {
  private int rozmerX;
  private int rozmerY;
  private double[][] intenzity;
  private Vektor[][] smery;

  public Plocha(int rozmerX,int rozmerY) {
    this.rozmerX = rozmerX;this.rozmerY = rozmerY;
    this.intenzity = new double[rozmerX][rozmerY];
    this.smery = new Vektor[rozmerX][rozmerY];
  }

  /**
   * Zapise hodnotu do pole
   * @param souradnice kam se ma hodnota intenzity zapsat
   * @param hodnota intenzity
   * @return uspech ci neuspech - v pripade prekroceni hranic pole
   */
  synchronized public boolean ZapisHodnotu(Vektor souradnice, double hodnota, Vektor smer){
    try{
      this.intenzity[souradnice.GetX()][souradnice.GetY()] = hodnota;
      this.smery[souradnice.GetX()][souradnice.GetY()] = smer;
    }
    catch(Exception e){
      e.printStackTrace();
      return false;
    }

    return true;
  }

  public Vektor GetRozmer(){
    return new Vektor(this.rozmerX,this.rozmerY);
  }

  public double[][] GetIntenzity(){
    return this.intenzity;
  }

  public Vektor[][] GetSmery(){
    return this.smery;
  }
}