// Trida Program implementuje hlavni program ktery se startuje:
//    java Program

public class Program {
  public static void main (String[] argv) {

    int m = 10000;		// kolik bodu
    int n_proc = 4;		// kolik procesoru 
    int step = 100;		// kolik bodu pocita kazdy najednou
    int fce = 4;		// cislo funkce ktera se bude pocitat
    double koef = 0;	// vysledny koeficient
    
	
	// vytvoreni obdelniku
    Interval interval_x = new Interval(0, 1);
    Interval interval_y = new Interval(-1, 1);
    Obdelnik oblast = new Obdelnik(interval_x, interval_y);

    // monitor construction
    Cl_parop monitor = new Cl_parop (n_proc, step);

    // nastaveni dat pro vypocet
    VypData data = new VypData(fce, oblast);
    
    // spusteni operace
    koef = monitor.op (m, data);
    
	System.out.print  ("Reseni = ");
    System.out.println (koef);

    System.out.println("End of work: code " + (int)monitor.stop());
  }
}
