package dusan;

import java.io.*;
import java.util.Random;

class Matrix implements Serializable{
	private int [][] matice;
	private int rozmer = 5;
	public static int RAND_MAX = 6;	//timto intem lze menit maximalni hodnoty v generovane matici
	/**
	 * Constructor for Matrix with dimension
	 */
	Matrix(int rozmer){
		this.rozmer = rozmer;
		generateMatice();
	}

  int[] dejRadek(int sloupec){  // kazde vlakno si sahne pro svoje data
    return matice[sloupec];
  }

  void nastavRadek(int sloupec,int[] naco){ //nastavi kazde vlakno vypocetena data

  }

	void generateMatice(){
		Random generator = new Random();
		matice = new int[this.rozmer][this.rozmer];
		for(int i = 0; i < this.rozmer; i++){
			for (int j = 0; j < this.rozmer; j++)
				matice[i][j] = generator.nextInt(this.RAND_MAX);
		}
	}
	/**
	 * Print out inside of matrix
	 */
	void printOutMatrix(){
	for(int i = 0; i < this.rozmer; i++){
		System.out.println();
			for (int j = 0; j < this.rozmer; j++)
			if (matice[i][j] < 10)
				System.out.print(" "+matice[i][j]+" ");
			else System.out.print(""+matice[i][j]+" ");
		}
		System.out.println();
}
}


class RadekSpocti extends Thread{
	private int		mytag;			//id vlakna
	private Matrix out;            //objekt pro ukladani vysledku
  private int[] mradek;    //vstupni radek
  private int[] vradek;    //vystupni radek

	RadekSpocti(int tag, int[] radek,Matrix result){
    mytag = tag;
    out = result;
    mradek = radek;
	}

	public void run(){
    /*
      zde se provede vypocet radku

    */
    out.nastavRadek(mytag,vradek);
    //mytag znamena cislo vlakna 0,1,2.....
  }

}



public class Matice {

  public Matice() {
  }

  public static void main(String[] args) {
    Matice matice = new Matice();
    matice.invokedStandalone = true;

    int pocetDelniku = 3;
    RadekSpocti[] poleVlaken = new RadekSpocti[pocetDelniku];
    Matrix result = new Matrix(pocetDelniku);

		for (int i=0; i<pocetDelniku; i++ ){
			poleVlaken[i] = new RadekSpocti(i,result.dejRadek(i),result);
			poleVlaken[i].start();
		}

    for (int p=0; p<pocetDelniku; p++){ // cekani na ukonceni vlaken
	    try{
 		 	  poleVlaken[p].join();
  	  }	catch(InterruptedException e){
	      System.out.println("Thread is interrupted!");
      }
    }
    result.printOutMatrix();
  }
  private boolean invokedStandalone = false;
}