/*
Programk na vypocet mocniny matice
Autor : Klabusay Dusan
*/
#include <stdio.h>
#include <stdlib.h>
#define N 4
#define MOCNINA 5
#define RANDOM_MAX 100000000


/*Vypise matici*/
int vypis_matice(float **matice){
	int i,j;
	printf("Vypis matice:\n");
	for (i=0;i<N;i++){
		for (j=0;j<N;j++){
			printf("%f\t",matice[i][j]); 
		}
	printf("\n");
	}
	return 1;
}
/*Naalokuje misto pro matici*/
float **alokuj_matici(void){
	float **matice;
	int i;

	matice=(float **)malloc(N*sizeof(float *));
	for (i=0;i<N;i++)
		matice[i]=(float *)malloc(N*sizeof(float *));
	return (matice);
}

/*Hlavas*/
int main(){
	float **n_matice;
	float **k_matice, **pom_matice,pomocna=0.0;
	int i,j,pom_i,pom_j,n_i,n_j,mocnina;
	
	n_matice=alokuj_matici();
	k_matice=alokuj_matici();
	pom_matice=alokuj_matici();	
	for (i=0;i<N;i++)
		for (j=0;j<N;j++){
			n_matice[i][j]=(float)RAND_MAX/(float)rand();/*/RANDOM_MAX;*/
			/*n_matice[i][j]=2;*/
			pom_matice[i][j]=n_matice[i][j];
		
		}
	/*Prepsani matice pomocne do vysledkove*/
	for (i=0;i<N;i++)
		for (j=0;j<N;j++)
			k_matice[i][j]=pom_matice[i][j];
	
	for(mocnina=1;mocnina<MOCNINA;mocnina++){	
		for (pom_i=0;pom_i<N;pom_i++){
			for (pom_j=0,n_i=0;pom_j<N;pom_j++,n_i++){
				pomocna = 0;
				for (n_j=0;n_j<N;n_j++){
					pomocna += pom_matice[pom_i][n_j]*n_matice[n_j][n_i];
				}
			k_matice[pom_i][pom_j]=pomocna;
			}
		}
	for (i=0;i<N;i++)
		for (j=0;j<N;j++)
			pom_matice[i][j]=k_matice[i][j];
	}

	vypis_matice(n_matice);
	vypis_matice(k_matice);
	
	
return 0;
}
