/**
 * Trida reprezentujici do fronty prace ukladane jednotlive segmenty prace
 * Vyhodou je posledni segment prace, ktery nemusi byt soudelny, tak mam krasne rovnou jednotlive indexy
 * @author Pavel
 *
 */

public class WorkPiece {

	private int odRadku;
	private int doRadku;

    /**
     * Konstruktor
     * @param odRadku cislo radku, kde prace zacne
     * @param doRadku cislo radku, kde prace skonci
     */
	public WorkPiece(int odRadku, int doRadku) {
		this.odRadku = odRadku;
		this.doRadku = doRadku;
	}

	/**
	 * cislo radku, kde prace zacne
	 */
	public int getOdRadku() {
		return odRadku;
	}

	/**
	 * cislo radku, kde prace skonci 
	 */
	public int getDoRadku() {
		return doRadku;
	}


	
}
