#include <stdio.h>
#include <string.h>
#include <stdlib.h>

// funkce pro operace se soubory
FILE *open_f(char *name, const char *mod)
{ FILE *f;
  if ((f=fopen(name,mod)) == NULL) {
    fprintf(stderr,"fopen: Chyba pri praci se souborem : %s\n",name);
    exit(1);
  }     	
  return(f);
}

void close_f(FILE *file)
{	
    if (fclose(file) == EOF) {
       fprintf(stderr,"fclose: Soubor nelze uzavrit.\n");
       exit(1);
    }    
}


// nacitani retezce (ve kterem se bude hledat) ze souboru
char *read_file(FILE *fr) {
  char *pom;
  char line[100];

  if((pom = (char *) malloc(1*sizeof(char))) == NULL) {
    printf("Malo pameti!\n");
    exit(1);
  }
  pom[0] = '\0';
  while (fgets(line,99,fr) != NULL) {
    line[strlen(line)-1] = '\0';
    if(line[strlen(line)-1] == '\r') line[strlen(line)-1]='\0';
    if((pom = (char *) realloc(pom,(strlen(pom)+strlen(line)+1)*sizeof(char)))
        == NULL) {
                   printf("Malo pameti!\n");
                   exit(1);
    }
    strcat(pom,line);
  }
  return pom;
}

char *aloc_string(int delka)  {
 char *c;
   if ((c=(char *) malloc(delka*sizeof(char))) == NULL) {
         fprintf(stderr,"malloc: Malo pameti!\n");
        exit(1);
   }
   return(c);
}   
