/* ========================================================================== */
/*                                                                            */
/*   exac-ro.c                                                                */
/*   (c) 2007 Miroslav 'Exac' Exner                                           */
/*                                                                            */
/*   Funkce ro                                                                */
/*                                                                            */
/* ========================================================================== */


#include "exac-ro.h"


double ro(double x, double y, double z, int druh_funkce) 
{
    double vysledek;
    
    switch (druh_funkce) {
        case (RO_KONSTANTNI) :
            vysledek = 1;
            break;
        case (RO_PROMENNA_X) :
            vysledek = x;
            break;
        case (RO_PROMENNA_XYZ) :
            vysledek = x + y + z;
            break;
        default :
            vysledek = 0;
            break;
    }

    return vysledek;
}
