//Trida obdelikove oblasti

class Bod {
  public double x;    // x-ova slozka bodu
  public double y;    // y-ova slozka bodu

  public Bod(double par_x, double par_y) {
    x = par_x;
    y = par_y;
  }
}


class Interval {
  private double p_beg;    	// zacatek intervalu
  private double p_end;    	// konec intervalu
  private double p_len;		// delka intervalu

  public Interval(double par_beg, double par_end) {
    if (par_end >= par_beg) {
      p_beg = par_beg;
      p_end = par_end;
    }
    else {
      p_beg = par_end;
      p_end = par_beg;    
    } 
    p_len = java.lang.Math.abs(p_end - p_beg);
  }
  public double length() {	// Vraci delku intervalu
    return(p_len);
  }
  public double beg() {		// Vraci zacatek intervalu
    return(p_beg);
  }
  public double end() {		// Vraci konec intervalu
    return(p_end);
  }
}

// Specifikace dat pro vypocet
class VypData {
  public int fce;			// Cislo funkce
  public Obdelnik oblast;	// Obdelnikova oblast vypoctu
  public VypData(int p_fce, Obdelnik p_oblast) {
    fce = p_fce;
    oblast = p_oblast;
  }
}

class Obdelnik {
  public Interval intervalX; // x-ovy rozmer obdelnika
  public Interval intervalY; // y-ovy rozmer obdelnika

  /* Konstruktor*/
  public Obdelnik(Interval par_x, Interval par_y) {
    intervalX = par_x;
    intervalY = par_y;
  } 
  
  /* Konstruktor*/
  public Obdelnik(Obdelnik o) {
    intervalX = o.intervalX;
    intervalY = o.intervalY;
  } 
}