#include <stdio.h>
#include <string.h>
#include <stdlib.h>

double *aloc_double_field(int delka) {
 double *d;
      if ((d=(double *) malloc(delka*sizeof(double))) == NULL) {
          fprintf(stderr,"malloc: Malo pameti pro alokaci double pole.\n");
          exit(1);
       }
       return(d);
}

char *aloc_char_field(int delka)  {
 char *c;
   if ((c=(char *) malloc(delka*sizeof(char))) == NULL) {
         fprintf(stderr,"malloc: Malo pameti pro alokaci char pole.\n");
        exit(1);
   }
   return(c);
}   

int *aloc_int_field(int delka) { 
 int *i;
    if ((i=(int *) malloc(delka*sizeof(int))) == NULL ) {
         fprintf(stderr,"malloc: Malo pameti pro alokaci int pole.\n");
         exit(1);
    }
    return(i);
}    
    
FILE *open_file(char *filename, const char *mod)
{ FILE *f;
  if ((f=fopen(filename,mod)) == NULL) {
    fprintf(stderr,"fopen: Chyba pri praci se souborem : %s\n",filename);
    exit(1);
  }     	
  return(f);
}

void close_file(FILE *file)
{	
    if (fclose(file) == EOF) {
       fprintf(stderr,"fclose: Soubor nelze uzavrit.\n");
       exit(1);
    }    
}

void print_help(void)
{	printf("Paralelni model farmer-worker.\n");
	printf("Pouziti: farmer <pocet delniku 1..32> \n");
}
