package ppr.threads.inteface;

import ppr.threads.app.ArgumentsException;
import ppr.threads.app.Parameters;

/**
 * Interface pro tridy nacitajici parametry.
 *
 */
public interface Reader {
	/**
	 * Vraci parametry vypoctu.
	 * @return objekt s parametry
	 * @throws ArgumentsException chybne parametry
	 */
	public Parameters getParameters() throws ArgumentsException;
}
