package body BUFFER is
package body G_BUFFER is
  
  task body SERVER is

    the_buff: array(integer range 1..lbuff) of MESSAGE; -- vlastni buffer
    tail :integer range 1..lbuff+1;   -- index na prvni volne misto
  
    procedure init is                 -- inicializacni procedura
    begin
      for i in 1..lbuff loop
        null_mes(the_buff(i));
      end loop;
      tail := 1;
    end init;

    begin                             -- telo tasku
      init;
      loop
        select
          accept reset; 
            init;
        or
          accept destroy;
            exit;
        or
          when tail < lbuff+1 =>
            accept add(new_mes: in MESSAGE) do
              the_buff(tail) := new_mes;
              tail:=tail+1;
            end;
        or
          when tail > 1 =>
            accept read(the_mes: out MESSAGE) do
              the_mes := the_buff(1);
              tail := tail - 1;
              the_buff(1..(tail-1)) := the_buff (2..tail);
              null_mes(the_buff(tail));
            end;
        or
          accept state (free_num: out natural) do
            free_num := lbuff - tail + 1;
          end;
        or
          terminate;
        end select;
      end loop;
    end SERVER;

end G_BUFFER;
end BUFFER;            
