package BUFFER is

generic
  -- PARAMETRY

  type MESSAGE is private;         -- typ prenasene zpravy
  lbuff: positive;                 -- delka bufferu v poctu zprav
  with procedure null_mes (the_mes: out MESSAGE); 
                                   -- procedura pro nulovani zaznamu zpravy

package G_BUFFER is

  task type SERVER is              -- task pro obsluhu bufferu
    entry reset;                   -- reset bufferu
    entry destroy;                 -- likvidace bufferu
    entry add (new_mes: in MESSAGE);-- zapis zpravy
    entry read(the_mes: out MESSAGE);-- poskytuje nejstarsi zpravu
    entry state (free_num: out natural); -- poskytuje stav bufferu
  end;

  type BUF_SERVER is access SERVER;
          -- typ pointeru na task typu SERVER

end G_BUFFER;
end BUFFER;

