package body G_PAR_OP is

    -- package data declaration
  workers: array(1..n) of REF_WORKER;
  step: POSITIVE;
  data: REF_VECTOR;


  task body boss is
    op_result: ITEM;
    next_index: INTEGER;
    cnt_end: NATURAL;

    begin
      for i in 1..n loop
	workers(i) := new WORKER;
      end loop;
      step := 10;

      loop
	select
	  accept set_part (length: in POSITIVE) do
	    step := length;
	  end;
	or
	  accept op (v: in REF_VECTOR; result: out ITEM) do
	    data := v;
	    next_index := v'FIRST;
	    cnt_end := 0;
	    null_item (op_result);
	    for i in 1..n loop
	      workers(i).start_op;
	    end loop;
	    loop
	      select
		accept get_next(beg_index: out INTEGER) do
		  beg_index := next_index;
		end;
		next_index := next_index + step;
	      or
		accept signal;
		cnt_end := cnt_end + 1;
		if cnt_end = n then exit; end if;
	      or
		accept inc (part_result: in ITEM) do
		  op_item (op_result, part_result);
		end;
	      or terminate;
	      end select;
	    end loop;
	    result := op_result;
	  end;
	or terminate;
	end select;
      end loop;
  end boss;


  task body WORKER is
    loc_result: ITEM;
    beg_of_part: INTEGER;
    end_of_part: INTEGER;
    begin
      loop
	select
	  accept start_op;

	    loop
	      boss.get_next(beg_of_part);
	      if beg_of_part > data'LAST then
		boss.signal;
		exit;
	      end if;
	      end_of_part := beg_of_part + step - 1;
	      if end_of_part > data'LAST then
		end_of_part := data'LAST;
	      end if;
	      null_item (loc_result);
	      for i in beg_of_part..end_of_part loop
		op_item (loc_result, data(i));
              end loop;
	      boss.inc(loc_result);
	    end loop;
	or terminate;
	end select;
      end loop;
  end WORKER;

  procedure red_op (v: in REF_VECTOR; result: out ITEM) is
  begin
    boss.op(v, result);
  end;

  procedure set_part (length: in POSITIVE) is
  begin
    boss.set_part(length);
  end;


end G_PAR_OP;
