-- ukazka monitoru jako protected type v Ade 95 - druha verze

generic
  type ELEMENT is private;
package SHARING is
  protected type SHARED_VAR is
    entry PUT (X: in ELEMENT);
    entry GET (X: out ELEMENT);
  private
    empty: BOOLEAN := TRUE;
  end SHARED_VAR;
  type SHARED_VAR_REF is access SHARED_VAR;
end SHARING;

package body SHARING is
  protected body SHARED_VAR is
    entry GET (X: out ELEMENT) when not empty is
      X := data;
    end GET;
    entry PUT (X: in ELEMENT) is
      data := X;
      empty := FALSE;
    end PUT;
  end SHARED_VAR;
end SHARING;