-- ukazka monitoru pomoci loop-select-accept v Ade 83

generic
  type ELEMENT is private;
package SHARING is
  task type SHARED_VAR is
    entry INIT(X: in ELEMENT);
    entry PUT (X: in ELEMENT);
    entry GET (X: out ELEMENT);
  end SHARED_VAR;
  type SHARED_VAR_REF is access SHARED_VAR;
end SHARING;

package body SHARING is
  task body SHARED_VAR is
    data: ELEMENT;
    begin
      accept INIT (X: in ELEMENT) do data := X; end INIT;
      loop
        select
          accept GET (x: out ELEMENT) is X := data; end GET;
        or
          accept PUT (x: in ELEMENT) is data := X; end PUT;
        or
          terminate;
        end select;
      end loop;
  end SHARED_VAR;
end SHARING;