#include <stdio.h>
#include <stdlib.h>
#include <math.h>

/*Nacte vstupni matici ze souboru*/
double **nacti_matici(FILE *fr){
int i=0,j=0;
double **matice,buff;
	printf("Nacitam matici ze souboru :)\n");
	while (fscanf(fr,"%f",&buff) != EOF) 
		i++;
	fseek(fr,SEEK_SET,0);
	N=(int)sqrt(i);
	/*Nemame presny rozmer matice */
	if (N*N != i) {
		printf("Chyba ve vstupnim souboru!!\n");
		if (fclose(fr) == EOF){
			printf("Soubor se nepodarilo uzavrit :( \n");
		}
		exit( 0);
	}
	printf("Rozmer matice:%d\n",N);
	matice=alokuj_matici();
	i=0;
	printf("Nacitam vlastni matici\n");
	while (fscanf(fr,"%f",&buff) != EOF) {
		/*printf("Nacitam prvek [%d][%d]=%f\n",i,j,buff);*/
		matice[i][j]=buff;
		j++;
		if (j==(N)) { 
			j=0; 
			i++;
		}
	}
	zavri_soubor(fr);

return matice;
}


/*Vypise matici*/
int vypis_matice(double **matice){
	int i,j;
	printf("Vypis matice:\n");
	for (i=0;i<N;i++){
		for (j=0;j<N;j++){
			printf("%f\t",matice[i][j]); 
		}
	printf("\n");
	}
	return 1;
}

/*Naalokuje misto pro matici*/
float **alokuj_matici(void){
	double **matice;
	int i;
	printf("Alokuji misto pro matici\n");
	matice=(double **)malloc(N*sizeof(double *));
	for (i=0;i<N;i++)
		matice[i]=(double *)malloc(N*sizeof(double *));
	return (matice);
}

// funkce pro operace se soubory
FILE *otevri_soubor(char *name, const char *mod){ 
FILE *f;
  if ((f=fopen(name,mod)) == NULL) {
    fprintf(stderr,"fopen: Chyba pri praci se souborem : %s\n",name);
    exit(1);
  }     	
  return(f);
}

void zavri_soubor(FILE *file){	
    if (fclose(file) == EOF) {
       fprintf(stderr,"fclose: Soubor nelze uzavrit.\n");
       exit(1);
    }    
}


char *aloc_string(int delka)  {
 char *c;
   if ((c=(char *) malloc(delka*sizeof(char))) == NULL) {
         fprintf(stderr,"malloc: Malo pameti!\n");
        exit(1);
   }
   return(c);
}   
