/*
Semestralni prace z PPR
autor:Dusan KLABUSAY

*/

#include <stdio.h>
#include <stdlib.h>
#include <math.h>
#include "help.h"
#include "/opt/pvm3/include/pvm3.h"


int main(int argc, char *argv[]) {
  int mytid;      /*  identifikator procesu delnik  */
  int chief_tid;  /*  identifikator procesu sef  */
  int i;          /*  pomocna promenna */
	int mocnina;
	int pom_j,n_i,n_j;
	int radka;
	double **matice;
	FILE *fr;
	double *vektor,*pomoc,pomocna;
 

	mytid = pvm_mytid();  /* prihlaseni do PVM */
	chief_tid=pvm_parent(); /* zjisteni id farmare*/
  if (argc != 3) { printf("Chybne argumenty.\n"); pvm_exit(); exit(1); }
	radka = atoi(argv[2]);
  mocnina=atoi(argv[3]);
	fr=otevri_soubor(argv[1],"r");  /* otevrit soubor se vstupnimi daty*/
	matice = nacti_matici(fr);/* otevrit soubor se vstupnimi daty*/
  if((vektor = (double *) malloc(N*sizeof(double))) == NULL) {
    printf("Malo pameti!\n");
    exit(1);
  }
	if((pomoc = (double *) malloc(N*sizeof(double))) == NULL) {
    printf("Malo pameti!\n");
    exit(1);
  }
	
	for(i=0;i<N;i++){
		vektor[i]=matice[radka][i];
		pomoc[i]=vektor[i];
	}
	for (i =1;i<mocnina;i++){
		for (pom_j=0,n_i=0;pom_j<N;pom_j++,n_i++){
			pomocna = 0;
			for (n_j=0;n_j<N;n_j++){
				pomocna += pomoc[n_j]*matice[n_j][n_i];
				/*printf("nasobim pomoc[%d]*n_matice[%d][%d]=%f\n",n_j,n_j,n_i,pomocna);*/
			}
			/*printf("%f\n",pomocna);*/
			vektor[pom_j]=pomocna;
		}
		for (i=0;i<N;i++)
			pomoc[i]=vektor[i];		
	}
	
	
	//inicializace vysilaciho bufferu
	if (pvm_initsend(PvmDataDefault) == 0) {
		fprintf(stderr,"Chyba pri inicializaci vysilaciho bufferu!\n");
		pvm_exit();
		}
		pvm_pkdouble(vektor,N,1);
	pvm_send(chief_tid, 5); 
	
	free(pomoc);
	free(vektor);
	/* ukonceni cinnosti */
  pvm_exit();
	return 0;
}
