#include "pvm3.h"

main() {
  int mytid;      //  identifikator procesu delnik  
  int chief_tid;  //  identifikator procesu sef  
  int i;          //  pomocna promenna 
  int dimension;
  double *coef;
  double *bound;
  double func;
  double res;
  
  mytid = pvm_mytid();  // prihlaseni do PVM 

  // cekani na zpravu od sefa 
  pvm_recv(-1, 100);               // 4 je kod zpravy 
  pvm_upkint(&chief_tid, 1, 1);  // zjisti cislo sefa   

  // kontrola zda je sef ten pravy - totozny s otcem  
  if (chief_tid == pvm_parent()) {
    // odpoved sefovi   
    pvm_initsend(PvmDataDefault);// inic. bufferu 
    pvm_pkint(&mytid, 1, 1);    // ulozeni identifikace 
    pvm_send(chief_tid, 101);     // kod odpovedi 5 
  }

  // delnik prijma dimenzi a vytvari pole koeficientu
	pvm_recv (chief_tid, 102);   // cteni  prikazu 
	pvm_upkint (&dimension, 1, 1); // ulozeni hodnoty zkoumaneho cisla 
	coef = (double *)malloc(dimension * sizeof(double));

  // delnik prijma koeficienty funkce
	pvm_recv (chief_tid, 103);   // cteni  prikazu 
	pvm_upkdouble (&coef, dimension, 1); // ulozeni hodnoty zkoumaneho cisla 


/*
	private double func(Request req) {
		double returnFunc = 0.0;
		for(int i=0; i<function.dim; i++) {
			returnFunc += function.koef[i] * ((req.get(i).from + req.get(i).to) / (double)2);
		}
		return returnFunc;
	}

  res = func(req);
				for(int i=0; i<function.dim; i++) {
					res *= (req.get(i).to - req.get(i).from);
				}

  */
	// delnik pracuje 
  while (1) {                  // !! zadne odbory 
    pvm_recv (chief_tid, 104);   // cteni  prikazu 
    pvm_upkdouble (&bound, 3*dimension, 1); // ulozeni hodnoty zkoumaneho cisla 
    if (bound[2] < 0.0) break;         // zaporna hodnota znamena konec prace 
    
	func = 0.0;
	for(i=0; i<dimension; i++)
		func += coef[i] * ((bound[i*dimension + 0] + boundary[i*dimension + 1]) / (double)2);

	res = func;
	for(i=0; i<dimension; i++)
		res *= (boundary[i*dimension + 1] - boundary[i*dimension + 0]);

    // odeslani vysledku 
    pvm_initsend(PvmDataDefault);// inic. bufferu 
    pvm_pkint(&mytid, 1, 1);    // ulozeni identifikace 
    pvm_pkint(&res, 1, 1);    // ulozeni vysledku 
    pvm_send(chief_tid, 105);     // kod odpovedi 5 
  }

  // ukonceni cinnosti 
  pvm_exit();
}

