package cz.zcu.fav.kiv.ppr;

import java.util.ArrayList;
import java.util.List;

/**
 * PPR1 Interface for class PieceOfWork 
 * cz.zcu.fav.kiv.ppr 
 * IPieceOfWork.java
 * 
 * @author kablazka
 */
public interface IPieceOfWork {

	public List<String> getData();

	public String getFindString();

	public int getFromLine();

	public int getToLine();

	public ArrayList<Occurence> getArray();

	public void processData();

}
