package cz.zcu.fav.kiv.ppr;

/**
 * PPR1
 * Class for objects in arrayList 
 * cz.zcu.fav.kiv.ppr
 * Occurence.java
 *
 * @author kablazka
 */
public class Occurence implements Comparable, IOccurence {
	private int line;
	private int position;
	
	/**
	 * Constructor of the class Occurence.java
	 * @param line
	 * @param pos
	 */
	public Occurence(int line, int pos){
		this.line = line;
		this.position = pos;		
	}

	/* (non-Javadoc)
	 * @see cz.zcu.fav.kiv.ppr.IOccurence#getLine()
	 */
	public int getLine() {
		return line;
	}

	/* (non-Javadoc)
	 * @see cz.zcu.fav.kiv.ppr.IOccurence#getPosition()
	 */
	public int getPosition() {
		return position;
	}

	/**
	 * compareTo
	 * Compare to line and then to position
	 */
	public int compareTo(Object o) {
		//TODO: odstranit -1
		if ( this.line - ((IOccurence) o).getLine() != 0){
			return this.line - ((IOccurence) o).getLine();
		}else{
			return this.position - ((IOccurence) o).getPosition();
		}
	}

}
