package cz.keschaf.ppr.functions;

/**
 * Tda implementujc vpoet linern funkce y = kx + q.
 * @author Hrdina Vclav, keschaf@pilsfree.net
 *
 */
public class LinearFunction implements Function {

	/**
	 * Nsobi x
	 */
	private double m;
	
	/**
	 * Posunut funkce ve smru osy y
	 */
	private double y;
	
	/**
	 * Konstruktor linern funkce
	 * @param slope nsobi x
	 * @param yIntercept posunut ve smru y
	 */
	public LinearFunction(double slope, double yIntercept) {
		this.m = slope;
		this.y = yIntercept;
	}
	
	public double getResult(double... params) {
		return params[0] * m + y;
	}

}
