package cz.keschaf.ppr.threads;

import cz.keschaf.ppr.Data;
import cz.keschaf.ppr.functions.Function;

public class Worker extends Thread {

	private Data data;
	private double localIntervalEnd;
	private double localIntervalBegin;
	private double dx;
	private Function f;

	public Worker(Data data, Function f, double localIntervalBegin, double localIntervalEnd, double dx) {
		this.data = data;
		this.localIntervalBegin = localIntervalBegin;
		this.localIntervalEnd = localIntervalEnd;
		this.dx = dx;
		this.f = f;
	}

	@Override
	public void run() {
		double actX = localIntervalBegin;

		//tahle divna podminka je kvuli zaokrouhlovacim chybam doubleu.
		//stava se totiz, ze funkce konci napr. na 0,9999999999 misto 1 - pak probehne
		//o krok vic a program nepocita spravne.
		while (actX < localIntervalEnd - dx + .00000001) {
			data.addX(f, actX);
			actX += dx;
		}

	}
}
