package ppr.threads.app;

/**
 * Trida pro ulozeni vypoctu vysledku.
 *
 */
public class Result {
	private float value = 0f;
	private long timeStart = 0;
	private long timeEnd = 0;
		
	/**
	 * Vraci konec vypoctu - systemovy cas v ms.
	 * @return systemovy cas.
	 */
	public long getTimeEnd() {
		return timeEnd;
	}
	
	/**
	 * Nastavi konec vypoctu - systemovy cas v ms.
	 * @param timeEnd  systemovy cas
	 */
	public void setTimeEnd(long timeEnd) {
		this.timeEnd = timeEnd;
	}
	
	/**
	 * Vraci zacatek vypoctu - systemovy cas v ms.
	 * @return systemovy cas.
	 */
	public long getTimeStart() {
		return timeStart;
	}
	
	/**
	 * Nastavi zacatek vypoctu - systemovy cas v ms.
	 * @param timeStart systemovy cas
	 */
	public void setTimeStart(long timeStart) {
		this.timeStart = timeStart;
	}
	
	/**
	 * Vraci vahu spocitane davky.
	 * @return hodnota
	 */
	public float getValue() {
		return value;
	}
	
	/**
	 * Nastavi vahu spocitane davky. 
	 * @param value hodnota
	 */
	public void setValue(float value) {
		this.value = value;
	}	
}