/**
 * Kvadr.java - struktura = kvadr - obsahuje souradnice dvou bodu, protilehlych
 * po telesove uhlopricce. Jeden z nich lezi defaultne v pocatku souradnic (x0,y0,z0),
 * druhy je nacitan jako parametr programu (x,y,z).
 * 
 * @author Jiri Frolik, A06081, KIV/PPR 2007/08
 * */


public class Kvadr {

	public static int DIMENSIONS = 3;				// dimenze kvadru = 3
	
	private double x0;
	private double y0;
	private double z0;			// souradnice jednoho roku kvadru (pocatek souradnic)
	
	private double x;
	private double y;
	private double z;			// souradnice druheho rohu kvadru (zadano uzivatelem)
	
	
	/**
	 * Konstruktor.
	 * */
	public Kvadr() {
		this.initZeroCoords();
	}
	
	/**
	 * Nastaveni prvniho bodu - pocatek souradnic.
	 * */
	private void initZeroCoords() {
		this.x0 = 0.0;
		this.y0 = 0.0;
		this.z0 = 0.0;
	}
	
	/* setters and getters */
	
	public double getX() {
		return x;
	}
	
	public void setX(double x) {
		this.x = x;
	}
	
	public double getY() {
		return y;
	}
	
	public void setY(double y) {
		this.y = y;
	}
	
	public double getZ() {
		return z;
	}
	
	public void setZ(double z) {
		this.z = z;
	}
	
	
	
	/* setters and getters - end */

	/**
	 * Vrati atributy kvadru jako retezec.
	 * */
	public String toString() {
		return "Kvadr:\nx0 = " + this.x0 + ", y0 = " + this.y0 + ", z0 = " + this.z0
				+ "\nx = " + this.x + ", y = " + this.y + ", z = " + this.z;
	}
	
	
	
}	/* end of class Kvadr */
