/* ========================================================================== */
/*                                                                            */
/*   kvadr_zpracovani.h                                                       */
/*   Jiri Frolik A06081 KIV/PPR 2007/08                                       */
/*                                                                            */
/*   Hlavickovy soubor obsahuje definici struktury KVADR a nekterych konstant.*/
/*                                                                            */
/* ========================================================================== */


/* Definice kvadru jako struktury: */
#ifndef KVADR
typedef struct {
    double x0;
    double y0;
    double z0;
    double x;
    double y;
    double z;
} KVADR;
#endif

#ifndef KVADR_X_0
#define KVADR_X_0       0.0
#define KVADR_Y_0       0.0
#define KVADR_Z_0       0.0
#define ASSIGNED_DONE   1.0
#define CONFIG_PATH     "config/"
#define LOG_FILE        "log/log"
#define MAX_STR_LEN     256
#endif
