set terminal postscript portrait
set output "graf.eps"

reset
#set key
set ylabel " sin(x) "
#set xdata time
#set timefmt "%y%m%d"
#set format x "%y"
set xrange [0 : 6.3]
#set ylabel "Price per $100 principal"
set xlabel " uhel [rad]"
#plot '-' using 1:2 title 'Fitted IO' with lines 1
#900621 20
#950126 55

set key left
set multiplot

#set title "KSY 26/30"
set size 0.95,0.95
set origin 0,0
set title "Vzorkovani funkce sinus(x), vyhlazeni sumu a numericka derivace"

plot   "vect-noi.dat" smooth csplines title "funkce sin(x) se sumem", "vect-sin.dat" smooth unique title "navzorkovane hodnoty sin(x)", "vect-reno.dat" smooth csplines title "vyhlazeny vektor vzorku", "vect-deriv.dat" smooth csplines title "derivace vyhlazeneho vektoru"

#, "eryx.dat" smooth sbezier title "eryx.zcu.cz, 5 routeru"
#, "crnet.dat" smooth sbezier title "dsl0-23.crnet.com, 17 routetu"

#smooth unique notitle, "vysledky.dat" title "eryx.zcu.cz"

#"hall2.dat" smooth notitle,"hall2.dat" title "R=200","hall3.dat" smooth bezier notitle,"hall3.dat" title "R=15"

#misto bezier nebo unique jde dat napr.: 'unique', 'acsplines', 'csplines', 'bezier' or 'sbezier'
