package bin;
/**
 *  recomputes image values 
 **/
public class Worker extends Thread {
	private Farmer f; // reference to farmer
	
	public Worker(Farmer f) {
		this.f = f;
	}
	
	/* recompute part of global data */
	public void run() {
		Part p;
		 while (f.wait_for_work()) { // blocking
			 ;
		        do  {
		          // worker requests a piece of work
		          p = f.get_work();
		          if (p.empty() == false) {
		            for (int i = p.start; i < p.end; i++) {
		            	p.data[i] = (int)((p.data[i]-f.getMin())*f.getK()/((double)(f.getMax()-f.getMin())));
		            }
		            yield();
		          }
		        } while (p.empty() == false);
		        // update global result
		        f.inc();
		      }
}
}
