package ppr.threads.app;

import ppr.threads.inteface.Ro;

/**
 * Trida pro predavani parametru vypoctu. 
 *
 */
public class Parameters {	
	private Point3D point = null;   // bod vypoctu
	private float d;   // diference
	private int countThreads;  // pocet vlaken
	private float part;  // cast pridelena vlaknu
	private Ro ro = null;  // funkce hustoty
	
	/**
	 * Vytvori instanci tridy. 
	 *
	 */
	public Parameters() {
		this.point = new Point3D();
	}
	
	/**
	 * Nastavi funkci hustoty
	 * @return instance tridy implementujici rozhrani pro vypocet funkce hustoty
	 */
	public Ro getRo() {
		return ro;
	}

	/**
	 * Vraci funkci hustoty.
	 * @param ro instance tridy implementujici rozhrani pro vypocet funkce hustoty
	 */
	public void setRo(Ro ro) {
		this.ro = ro;
	}
	
	public float getD() {
		return d;
	}
	
	public void setD(float d) {
		this.d = d;
	}
	
	public float getPart() {
		return part;
	}
	
	public void setPart(float part) {
		this.part = part;
	}
	
	public int getCountThreads() {
		return countThreads;
	}
	
	public void setCountThreads(int threads) {
		this.countThreads = threads;
	}

	public Point3D getPoint() {
		return point;
	}

	public void setPoint(Point3D point) {
		this.point = point;
	}

	public float getX() {
		return point.getX();
	}

	public void setX(float x) {
		this.point.setX(x);
	}

	public float getY() {
		return point.getY();
	}

	public void setY(float y) {
		this.point.setY(y);
	}

	public float getZ() {
		return point.getZ();
	}

	public void setZ(float z) {
		this.point.setZ(z);
	}	
}